Arduino

Reference Language | Libraries | Comparison | Changes

WiFi : WiFiUDP.read()

#### Description

Reads UDP data from the specified buffer. If no arguments are given, it will return the next character in the buffer.

This function can only be successfully called after WiFiUDP.parsePacket().

#### Syntax

WiFiUDP.read();
WiFiUDP.read(buffer, len);

#### Parameters

buffer: buffer to hold incoming packets (char*)
len: maximum size of the buffer (int)

#### Returns

- b: the characters in the buffer (char)
- size: the size of the buffer
- -1: if no buffer is available

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers